#!/bin/bash


ssh root@${serverIP} -C  "iperf3 -s -D -1" | tee -a $logfile
if [ "${PIPESTATUS[0]}" != "0" ];then
	echo "'iperf3 -s -D -1' failed on server"
	exit 1
fi

iperf3 -c ${wifiserverIP} &> iperf3.log
if [ "$?" != "0" ];then
	echo "'iperf3 -c ${wifiserverIP}' failed on client"
	cat iperf3.log
	exit 1
fi

result=$(cat iperf3.log | grep sender | awk '{print $(NF-3)" "$(NF-2)}')
echo "RESULT: $result" | tee -a $logfile
