#!/bin/bash

media=`pwd`/test-mic.wav

# Prepare
amixer set Master unmute || exit 1
amixer set Capture unmute || exit 1
amixer sset 'Master' 100% || exit 1
amixer sset 'Capture' 100% || exit 1



dialog --keep-tite --title "Потверждение записи" --clear --msgbox "После нажатия OK начнется запись с микрофона в течении 10 секунд" 8 40

#Запись
arecord -f cd -d 10 $media || exit 1

dialog --keep-tite --title "Потверждение воспроизведения" --clear --msgbox "Начать воспроизведение записанного файла" 8 40

# Воспроизведение
aplay $media || exit 1


