#!/bin/bash

#Step 4 - connect to BNEP server

if [ -n "$conffile" ]; then  #path to conf file not empty
  if [ -f "$conffile" ]; then  #conf file does not exist
    source $conffile
  fi
else
  echo "Configuration file not found. Exiting" | tee -a $logfile
  exit 1
fi

(./bt-pan --debug client $btserverMAC & )  | tee -a $logfile
ip addr add ${btclientIP}/24 dev bnep0
iperf3 -c ${btserverIP} | tee -a $logfile
