#!/bin/bash
#Убирает пейринг и останавливает процессы тестирования. Только для авто режима
if [ -n "$conffile" ]; then  #path to conf file not empty
  if [ -f "$conffile" ]; then  #conf file does not exist
    source $conffile
  fi
else
  echo "Configuration file not found. Exiting" | tee -a $logfile
  exit 1
fi

btclientMAC=`hcitool dev | grep hci0 | awk '{ print $2 }'`
export btserverMAC=`ssh root@${serverIP} hcitool dev | grep hci0 | awk '{ print $2 }'`

ssh root@${serverIP} -C  "echo -e \"untrust ${btclientMAC}\nremove ${btclientMAC}\nexit\" | bluetoothctl"
echo -e "untrust ${btserverMAC}\nremove ${btserverMAC}\nexit" | bluetoothctl
ssh root@${serverIP} -C  "killall iperf3" &> /dev/null 
ssh root@${serverIP} -C  "ifconfig bnep down"
ssh root@${serverIP} -C  "brctl delbr bnep"
ssh root@${serverIP} -C  "rm -rf /tmp/dp_bluetooth"


ssh root@${serverIP} -C  "kill \$(echo \$(pgrep -f bt-pan))" &> /dev/null
ssh root@${serverIP} -C  "kill \$(echo \$(pgrep -f bluetoothctl))" &> /dev/null 

kill $(echo $(pgrep -f bluetoothctl)) &> /dev/null
kill $(echo `pgrep -f bt-pan`) &> /dev/null

exit 0

