#include <stdio.h>
#include <stdlib.h>
#include <math.h>

#define MAX 3216
#define CHK 1400
#define REP 2000000

#ifndef OHVAT
#define OHVAT 10
#endif


int sample( );

float *fa1, *fa2, *fa3, *fa4, *fa5, *fa6, *fa7, *fa8,
      *fb1, *fb2, *fb3, *fb4, *fb5, *fb6, *fb7, *fb8,
      *fc1, *fc2, *fc3, *fc4, *fc5, *fc6, *fc7, *fc8,
      *fd1, *fd2, *fd3, *fd4, *fd5, *fd6, *fd7, *fd8;





int sample()
{
    int i, j;
    int sum = 0;

    float * pa1 = (float *)((long)fa1 & ~0x7);
    float * pb1 = (float *)((long)fb1 & ~0x7);
    float * pc1 = (float *)((long)fc1 & ~0x7);
    float * pd1 = (float *)((long)fd1 & ~0x7);

    float * pa2 = (float *)((long)fa2 & ~0x7);
    float * pb2 = (float *)((long)fb2 & ~0x7);
    float * pc2 = (float *)((long)fc2 & ~0x7);
    float * pd2 = (float *)((long)fd2 & ~0x7);

    float * pa3 = (float *)((long)fa3 & ~0x7);
    float * pb3 = (float *)((long)fb3 & ~0x7);
    float * pc3 = (float *)((long)fc3 & ~0x7);
    float * pd3 = (float *)((long)fd3 & ~0x7);

    float * pa4 = (float *)((long)fa4 & ~0x7);
    float * pb4 = (float *)((long)fb4 & ~0x7);
    float * pc4 = (float *)((long)fc4 & ~0x7);
    float * pd4 = (float *)((long)fd4 & ~0x7);

    float * pa5 = (float *)((long)fa5 & ~0x7);
    float * pb5 = (float *)((long)fb5 & ~0x7);
    float * pc5 = (float *)((long)fc5 & ~0x7);
    float * pd5 = (float *)((long)fd5 & ~0x7);

    float * pa6 = (float *)((long)fa6 & ~0x7);
    float * pb6 = (float *)((long)fb6 & ~0x7);
    float * pc6 = (float *)((long)fc6 & ~0x7);
    float * pd6 = (float *)((long)fd6 & ~0x7);

    float * pa7 = (float *)((long)fa7 & ~0x7);
    float * pb7 = (float *)((long)fb7 & ~0x7);
    float * pc7 = (float *)((long)fc7 & ~0x7);
    float * pd7 = (float *)((long)fd7 & ~0x7);

    float * pa8 = (float *)((long)fa8 & ~0x7);
    float * pb8 = (float *)((long)fb8 & ~0x7);
    float * pc8 = (float *)((long)fc8 & ~0x7);
    float * pd8 = (float *)((long)fd8 & ~0x7);

    float x = pa1[3209], y = pa1[3210], t = pa1[3211], u = pa1[3212], w = pa1[3213], q = pa1[3214], r = pa1[3215], v = pa1[3216];
    float se1=0, se2=0, se3=0, se4=0, se5=0, se6=0, se7=0, se8=0;


    for( j = 0; j < REP; j++ ) {
	se1=0, se2=0, se3=0, se4=0, se5=0, se6=0, se7=0, se8=0;
	for( i=0; i<CHK; i++){
    	    se1 += ((x + pa1[i] * y) + pb1[i] * (w + q * pc1[i])) * (t + (r + v * pd1[i]) * u);
    	    se2 += ((x + pa2[i] * y) + pb2[i] * (w + q * pc2[i])) * (t + (r + v * pd2[i]) * u);
    	    se3 += ((x + pa3[i] * y) + pb3[i] * (w + q * pc3[i])) * (t + (r + v * pd3[i]) * u);
    	    se4 += ((x + pa4[i] * y) + pb4[i] * (w + q * pc4[i])) * (t + (r + v * pd4[i]) * u);
    	    se5 += ((x + pa5[i] * y) + pb5[i] * (w + q * pc5[i])) * (t + (r + v * pd5[i]) * u);
    	    se6 += ((x + pa6[i] * y) + pb6[i] * (w + q * pc6[i])) * (t + (r + v * pd6[i]) * u);
    	    se7 += ((x + pa7[i] * y) + pb7[i] * (w + q * pc7[i])) * (t + (r + v * pd7[i]) * u);
    	    se8 += ((x + pa8[i] * y) + pb8[i] * (w + q * pc8[i])) * (t + (r + v * pd8[i]) * u);
	}
	sum += se1 + se2 + se3 + se4 + se5 + se6 + se7 + se8;
    }
    return (int)(sum);
}


int main()
{
int ohvat;
    int i, retval;

    fa1=(float*)malloc(sizeof(float)*MAX);
    fb1=(float*)malloc(sizeof(float)*MAX);
    fc1=(float*)malloc(sizeof(float)*MAX);
    fd1=(float*)malloc(sizeof(float)*MAX);

    fa2=(float*)malloc(sizeof(float)*MAX);
    fb2=(float*)malloc(sizeof(float)*MAX);
    fc2=(float*)malloc(sizeof(float)*MAX);
    fd2=(float*)malloc(sizeof(float)*MAX);

    fa3=(float*)malloc(sizeof(float)*MAX);
    fb3=(float*)malloc(sizeof(float)*MAX);
    fc3=(float*)malloc(sizeof(float)*MAX);
    fd3=(float*)malloc(sizeof(float)*MAX);

    fa4=(float*)malloc(sizeof(float)*MAX);
    fb4=(float*)malloc(sizeof(float)*MAX);
    fc4=(float*)malloc(sizeof(float)*MAX);
    fd4=(float*)malloc(sizeof(float)*MAX);

    fa5=(float*)malloc(sizeof(float)*MAX);
    fb5=(float*)malloc(sizeof(float)*MAX);
    fc5=(float*)malloc(sizeof(float)*MAX);
    fd5=(float*)malloc(sizeof(float)*MAX);

    fa6=(float*)malloc(sizeof(float)*MAX);
    fb6=(float*)malloc(sizeof(float)*MAX);
    fc6=(float*)malloc(sizeof(float)*MAX);
    fd6=(float*)malloc(sizeof(float)*MAX);

    fa7=(float*)malloc(sizeof(float)*MAX);
    fb7=(float*)malloc(sizeof(float)*MAX);
    fc7=(float*)malloc(sizeof(float)*MAX);
    fd7=(float*)malloc(sizeof(float)*MAX);

    fa8=(float*)malloc(sizeof(float)*MAX);
    fb8=(float*)malloc(sizeof(float)*MAX);
    fc8=(float*)malloc(sizeof(float)*MAX);
    fd8=(float*)malloc(sizeof(float)*MAX);


    for( i = 0; i < MAX; i++ ) {

       fa1[i] =  4.0;
       fb1[i] =  5.0;
       fc1[i] =  6.0;
       fd1[i] =  7.0;

       fa2[i] =  4.0;
       fb2[i] =  5.0;
       fc2[i] =  6.0;
       fd2[i] =  7.0;

       fa3[i] =  4.0;
       fb3[i] =  5.0;
       fc3[i] =  6.0;
       fd3[i] =  7.0;

       fa4[i] =  4.0;
       fb4[i] =  5.0;
       fc4[i] =  6.0;
       fd4[i] =  7.0;
    }

    for( i = 0; i < MAX; i++ ) {
       fa5[i] =  4.0;
       fb5[i] =  5.0;
       fc5[i] =  6.0;
       fd5[i] =  7.0;

       fa6[i] =  4.0;
       fb6[i] =  5.0;
       fc6[i] =  6.0;
       fd6[i] =  7.0;

       fa7[i] =  4.0;
       fb7[i] =  5.0;
       fc7[i] =  6.0;
       fd7[i] =  7.0;

       fa8[i] =  4.0;
       fb8[i] =  5.0;
       fc8[i] =  6.0;
       fd8[i] =  7.0;

    }
    retval = 0;
    for (ohvat = 0; ohvat < OHVAT; ohvat++)
    {
	retval+=sample( ); // peak loop
    }
    free (fa1);
    free (fb1);
    free (fc1);
    free (fd1);

    free (fa2);
    free (fb2);
    free (fc2);
    free (fd2);

    free (fa3);
    free (fb3);
    free (fc3);
    free (fd3);

    free (fa4);
    free (fb4);
    free (fc4);
    free (fd4);

    free (fa5);
    free (fb5);
    free (fc5);
    free (fd5);

    free (fa6);
    free (fb6);
    free (fc6);
    free (fd6);

    free (fa7);
    free (fb7);
    free (fc7);
    free (fd7);

    free (fa8);
    free (fb8);
    free (fc8);
    free (fd8);

    return retval;
}

