#include <stdio.h>
#include <stdlib.h>
#include <math.h>

#define MAX 3216
#define CHK 500
#define REP 2000000 

#ifndef OHVAT
#define OHVAT 10
#endif


int sample( );

double *fa1, *fa2, *fa3, *fa4, *fa5, *fa6, *fa7, *fa8, 
      *fb1, *fb2, *fb3, *fb4, *fb5, *fb6, *fb7, *fb8, 
      *fc1, *fc2, *fc3, *fc4, *fc5, *fc6, *fc7, *fc8, 
      *fd1, *fd2, *fd3, *fd4, *fd5, *fd6, *fd7, *fd8;


      


int sample()
{
    int i, j;
    int sum = 0;

    double * pa1 = (double *)((long)fa1 & ~0x7);
    double * pb1 = (double *)((long)fb1 & ~0x7);
    double * pc1 = (double *)((long)fc1 & ~0x7);
    double * pd1 = (double *)((long)fd1 & ~0x7);

    double * pa2 = (double *)((long)fa2 & ~0x7);
    double * pb2 = (double *)((long)fb2 & ~0x7);
    double * pc2 = (double *)((long)fc2 & ~0x7);
    double * pd2 = (double *)((long)fd2 & ~0x7);

    double * pa3 = (double *)((long)fa3 & ~0x7);
    double * pb3 = (double *)((long)fb3 & ~0x7);
    double * pc3 = (double *)((long)fc3 & ~0x7);
    double * pd3 = (double *)((long)fd3 & ~0x7);

    double * pa4 = (double *)((long)fa4 & ~0x7);
    double * pb4 = (double *)((long)fb4 & ~0x7);
    double * pc4 = (double *)((long)fc4 & ~0x7);
    double * pd4 = (double *)((long)fd4 & ~0x7);

    double * pa5 = (double *)((long)fa5 & ~0x7);
    double * pb5 = (double *)((long)fb5 & ~0x7);
    double * pc5 = (double *)((long)fc5 & ~0x7);
    double * pd5 = (double *)((long)fd5 & ~0x7);

    double * pa6 = (double *)((long)fa6 & ~0x7);
    double * pb6 = (double *)((long)fb6 & ~0x7);
    double * pc6 = (double *)((long)fc6 & ~0x7);
    double * pd6 = (double *)((long)fd6 & ~0x7);

    double * pa7 = (double *)((long)fa7 & ~0x7);
    double * pb7 = (double *)((long)fb7 & ~0x7);
    double * pc7 = (double *)((long)fc7 & ~0x7);
    double * pd7 = (double *)((long)fd7 & ~0x7);

    double * pa8 = (double *)((long)fa8 & ~0x7);
    double * pb8 = (double *)((long)fb8 & ~0x7);
    double * pc8 = (double *)((long)fc8 & ~0x7);
    double * pd8 = (double *)((long)fd8 & ~0x7);

    double x = pa1[3209], y = pa1[3210], t = pa1[3211], u = pa1[3212], w = pa1[3213], q = pa1[3214], r = pa1[3215], v = pa1[3216];
    double se1=0, se2=0, se3=0, se4=0, se5=0, se6=0, se7=0, se8=0;


    for( j = 0; j < REP; j++ ) { 
	se1=0, se2=0, se3=0, se4=0, se5=0, se6=0, se7=0, se8=0;
	for( i=0; i<CHK; i++){
    	    se1 += ((x + pa1[i] * y) + pb1[i] * (w + q * pc1[i])) * (t + (r + v * pd1[i]) * u);
    	    se2 += ((x + pa2[i] * y) + pb2[i] * (w + q * pc2[i])) * (t + (r + v * pd2[i]) * u);
    	    se3 += ((x + pa3[i] * y) + pb3[i] * (w + q * pc3[i])) * (t + (r + v * pd3[i]) * u);
    	    se4 += ((x + pa4[i] * y) + pb4[i] * (w + q * pc4[i])) * (t + (r + v * pd4[i]) * u);
    	    se5 += ((x + pa5[i] * y) + pb5[i] * (w + q * pc5[i])) * (t + (r + v * pd5[i]) * u);
    	    se6 += ((x + pa6[i] * y) + pb6[i] * (w + q * pc6[i])) * (t + (r + v * pd6[i]) * u);
    	    se7 += ((x + pa7[i] * y) + pb7[i] * (w + q * pc7[i])) * (t + (r + v * pd7[i]) * u);
    	    se8 += ((x + pa8[i] * y) + pb8[i] * (w + q * pc8[i])) * (t + (r + v * pd8[i]) * u);
	}
	sum += se1 + se2 + se3 + se4 + se5 + se6 + se7 + se8;
    }
    return (int)(sum);
}


int main()
{
int ohvat;
    int i, retval;

    fa1=(double*)malloc(sizeof(double)*MAX);
    fb1=(double*)malloc(sizeof(double)*MAX);
    fc1=(double*)malloc(sizeof(double)*MAX);
    fd1=(double*)malloc(sizeof(double)*MAX);

    fa2=(double*)malloc(sizeof(double)*MAX);
    fb2=(double*)malloc(sizeof(double)*MAX);
    fc2=(double*)malloc(sizeof(double)*MAX);
    fd2=(double*)malloc(sizeof(double)*MAX);

    fa3=(double*)malloc(sizeof(double)*MAX);
    fb3=(double*)malloc(sizeof(double)*MAX);
    fc3=(double*)malloc(sizeof(double)*MAX);
    fd3=(double*)malloc(sizeof(double)*MAX);

    fa4=(double*)malloc(sizeof(double)*MAX);
    fb4=(double*)malloc(sizeof(double)*MAX);
    fc4=(double*)malloc(sizeof(double)*MAX);
    fd4=(double*)malloc(sizeof(double)*MAX);

    fa5=(double*)malloc(sizeof(double)*MAX);
    fb5=(double*)malloc(sizeof(double)*MAX);
    fc5=(double*)malloc(sizeof(double)*MAX);
    fd5=(double*)malloc(sizeof(double)*MAX);

    fa6=(double*)malloc(sizeof(double)*MAX);
    fb6=(double*)malloc(sizeof(double)*MAX);
    fc6=(double*)malloc(sizeof(double)*MAX);
    fd6=(double*)malloc(sizeof(double)*MAX);

    fa7=(double*)malloc(sizeof(double)*MAX);
    fb7=(double*)malloc(sizeof(double)*MAX);
    fc7=(double*)malloc(sizeof(double)*MAX);
    fd7=(double*)malloc(sizeof(double)*MAX);

    fa8=(double*)malloc(sizeof(double)*MAX);
    fb8=(double*)malloc(sizeof(double)*MAX);
    fc8=(double*)malloc(sizeof(double)*MAX);
    fd8=(double*)malloc(sizeof(double)*MAX);


    for( i = 0; i < MAX; i++ ) {

       fa1[i] =  4.0; 
       fb1[i] =  5.0;
       fc1[i] =  6.0;
       fd1[i] =  7.0;

       fa2[i] =  4.0; 
       fb2[i] =  5.0;
       fc2[i] =  6.0;
       fd2[i] =  7.0;

       fa3[i] =  4.0; 
       fb3[i] =  5.0;
       fc3[i] =  6.0;
       fd3[i] =  7.0;

       fa4[i] =  4.0; 
       fb4[i] =  5.0;
       fc4[i] =  6.0;
       fd4[i] =  7.0;
    }
    for( i = 0; i < MAX; i++ ) {

       fa5[i] =  4.0; 
       fb5[i] =  5.0;
       fc5[i] =  6.0;
       fd5[i] =  7.0;

       fa6[i] =  4.0; 
       fb6[i] =  5.0;
       fc6[i] =  6.0;
       fd6[i] =  7.0;

       fa7[i] =  4.0; 
       fb7[i] =  5.0;
       fc7[i] =  6.0;
       fd7[i] =  7.0;

       fa8[i] =  4.0; 
       fb8[i] =  5.0;
       fc8[i] =  6.0;
       fd8[i] =  7.0;

    }

    retval = 0;
    for (ohvat = 0; ohvat < OHVAT; ohvat++)
    {
	retval+=sample( ); // peak loop
    }
    free (fa1);
    free (fb1);
    free (fc1);
    free (fd1);

    free (fa2);
    free (fb2);
    free (fc2);
    free (fd2);

    free (fa3);
    free (fb3);
    free (fc3);
    free (fd3);

    free (fa4);
    free (fb4);
    free (fc4);
    free (fd4);

    free (fa5);
    free (fb5);
    free (fc5);
    free (fd5);

    free (fa6);
    free (fb6);
    free (fc6);
    free (fd6);

    free (fa7);
    free (fb7);
    free (fc7);
    free (fd7);

    free (fa8);
    free (fb8);
    free (fc8);
    free (fd8);

    return retval;
}

