#include <stdio.h>
#include <stdlib.h>
#include <math.h>

#define MAX 32008
#define CHK 32000
#define REP 2

#ifndef OHVAT
#define OHVAT 480000
#endif


int sample( );

double *fa,
      *fb,
      *fc,
      *fd;

double x = 1.0, y = 2.0, z = 3.0, t=4.0, u=5.0;


int sample()
{
    int i;


    typedef union {double d; int i;} my_un;
    my_un ie;
    int se=0;


    for( i=0; i<CHK; i++){
        ie.d = (x + fa[i] * y) + (fb[i] + z * fc[i]) * (t + fd[i] * u);
        se|=(ie.i & 0x7fffffff);
    }

    return (int)(se);
}


int main()
{
int ohvat;
    int i, j;
    int sum;

    fa=(double*)malloc(sizeof(double)*MAX);
    fb=(double*)malloc(sizeof(double)*MAX);
    fc=(double*)malloc(sizeof(double)*MAX);
    fd=(double*)malloc(sizeof(double)*MAX);


    for( i = 0; i < MAX; i++ ) {

       fa[i] =  4.0;
       fb[i] =  5.0;
       fc[i] =  6.0;
       fd[i] =  7.0;

    }

for (ohvat=0; ohvat<OHVAT; ohvat++)
{
sum=0;


    for( j = 0; j < REP; j++ ) { // Measuring
            sum += sample( ); // peak loop
    }
}

    return sum;
}

