#include <stdio.h>
#include <stdlib.h>
#include <math.h>

#define MAX 32160
#define CHK 10000
#define REP 100000

#ifndef OHVAT
#define OHVAT 10
#endif


int sample( );

double *fa1, *fa2, *fa3, *fa4, *fa5, *fa6, *fa7, *fa8;

int sample()
{
    int i, j;
    int sum = 0;

    double * pa1 = (double *)((long)fa1 & ~0xf);
    double * pa2 = (double *)((long)fa2 & ~0xf);
    double * pa3 = (double *)((long)fa3 & ~0xf);
    double * pa4 = (double *)((long)fa4 & ~0xf);
    double * pa5 = (double *)((long)fa5 & ~0xf);
    double * pa6 = (double *)((long)fa6 & ~0xf);
    double * pa7 = (double *)((long)fa7 & ~0xf);
    double * pa8 = (double *)((long)fa8 & ~0xf);

    double x = pa1[3209], y = pa1[3210], t = pa1[3211], u = pa1[3212], w = pa1[3213], q = pa1[3214], r = pa1[3215], v = pa1[3216];
    double se1=0, se2=0, se3=0, se4=0, se5=0, se6=0, se7=0, se8=0;

#pragma unroll (2)
//#pragma comb_oper
    for( j = 0; j < REP; j++ ) {
        se1=0, se2=0, se3=0, se4=0, se5=0, se6=0, se7=0, se8=0;
        for( i=0; i<CHK; i++){
            se1 += (v + (y + (w + (t + (r + v * pa1[i]) * u) * q) * w) * x) * r;
            se2 += (v + (y + (w + (t + (r + v * pa2[i]) * u) * q) * w) * x) * r;
            se3 += (v + (y + (w + (t + (r + v * pa3[i]) * u) * q) * w) * x) * r;
            se4 += (v + (y + (w + (t + (r + v * pa4[i]) * u) * q) * w) * x) * r;
            se5 += (v + (y + (w + (t + (r + v * pa5[i]) * u) * q) * w) * x) * r;
            se6 += (v + (y + (w + (t + (r + v * pa6[i]) * u) * q) * w) * x) * r;
            se7 += (v + (y + (w + (t + (r + v * pa7[i]) * u) * q) * w) * x) * r;
            se8 += (v + (y + (w + (t + (r + v * pa8[i]) * u) * q) * w) * x) * r;
        }
        sum += se1 + se2 + se3 + se4 + se5 + se6 + se7 + se8;
    }
    return (int)(sum);
}


int main()
{
    int ohvat;
    int i, retval;

    fa1=(double*)malloc(sizeof(double)*MAX);
    fa2=(double*)malloc(sizeof(double)*MAX);
    fa3=(double*)malloc(sizeof(double)*MAX);
    fa4=(double*)malloc(sizeof(double)*MAX);
    fa5=(double*)malloc(sizeof(double)*MAX);
    fa6=(double*)malloc(sizeof(double)*MAX);
    fa7=(double*)malloc(sizeof(double)*MAX);
    fa8=(double*)malloc(sizeof(double)*MAX);


    for( i = 0; i < MAX; i++ ) {

       fa1[i] =  4.0;
       fa2[i] =  4.0;
       fa3[i] =  4.0;
       fa4[i] =  4.0;
    }
    for( i = 0; i < MAX; i++ ) {

       fa5[i] =  4.0;
       fa6[i] =  4.0;
       fa7[i] =  4.0;
       fa8[i] =  4.0;

    }

    retval = 0;
    for (ohvat = 0; ohvat < OHVAT; ohvat++)
    {
        retval+=sample( ); // peak loop
    }
    free (fa1);
    free (fa2);
    free (fa3);
    free (fa4);
    free (fa5);
    free (fa6);
    free (fa7);
    free (fa8);

    return retval;
}

