#include <stdio.h>
#include <stdlib.h>
#include <math.h>
#include <vis.h>

#define CHK 1000
#define REP 2

#ifndef OHVAT
#define OHVAT 1000000
#endif


int sample( );

double x = 1.0, y = 2.0, z = 3.0, t=4.0, u=5.0;

int sample()
{
    int i;

    double ie1, ie2, ie3, ie4, ie5, ie6, ie7, ie8;

#pragma loop count (1000)
#pragma unroll (1)
    for( i=0; i<CHK; i++){
        ie1 = vis_fmaddd(u, x, ie1);
        ie2 = vis_fmaddd(u, y, ie2);
        ie3 = vis_fmaddd(u, z, ie3);
        ie4 = vis_fmaddd(u, t, ie4);

        ie5 = vis_fmaddd(u, x, ie5);
        ie6 = vis_fmaddd(u, y, ie6);
        ie7 = vis_fmaddd(u, z, ie7);
        ie8 = vis_fmaddd(u, t, ie8);
    }

    return (int)(ie1 + ie2 + ie3 + ie4 + ie5 + ie6 + ie7 + ie8);
}


int main()
{
    int ohvat;
    int i, j;
    int sum;

for (ohvat=0; ohvat<OHVAT; ohvat++)
{
    sum=0;

    for( j = 0; j < REP; j++ ) { // Measuring
            sum += sample( ); // peak loop
    }
}

    return sum;
}

